package org.nisum.producer;

import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

@Service
public class NotificationProducer {

    private final KafkaTemplate<String,String> kafkaTemplate;

    public NotificationProducer(KafkaTemplate<String,String> kafkaTemplate){
        this.kafkaTemplate = kafkaTemplate;
    }

    //Method to send notification
    public void sendNotification(String message){
        kafkaTemplate.send("notification-topic",message);
    }
}
