package org.nisum.repository;

import org.nisum.model.Notification;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;

@Repository
public interface NotificationRepository extends ReactiveMongoRepository<Notification,String> {
    Flux<Notification> findByUserId(String userId);
}
